> For the complete documentation index, see [llms.txt](https://docs.uiza.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uiza.io/2022-06-22/getting-started/pagination.md).

# Pagination

Uiza's List method is using page-based pagination, this is one of the simplest forms of paging. Initially, only a certain number of results will be returned at a time. The default is 50.

#### Arguments

> **`limit`** *number*
>
> The maximum number of objects to be returned per call, between 1 and 50. The default `limit` is 50.

> **`page`** *number*
>
> Indicates the page number, the page being the one requested. By default, this query parameter is equal to 1.

{% code title="Sample Response" %}

```
{
 "data": {
    "items": [
      {
        "id": "22013d8a-d5fa-48f0-9a63-1f471ca9e81d",
        "name": "Demo app 1",
        "description": "Demo application for documentation",
        "dvr": true,
        "encoding_template": "none",
        "ingest": {
          "url": "rtmp://f45dd07a0e-in.uizadev.io/transcode",
          "key": "live_TB62vHgxSY"
        },
        "playback": {
          "hls": "https://f45dd07a0e.uizadev.io/fmp4/22013d8a-d5fa-48f0-9a63-1f471ca9e81d/master.m3u8",
          "dash": "https://f45dd07a0e.uizadev.io/fmp4/22013d8a-d5fa-48f0-9a63-1f471ca9e81d/manifest.mpd"
        },
        "region": "in-mumbai-1",
        "relay": [
          {
            "id": "8cf47749-1fa4-40e9-8303-580b34f14683",
            "name": "Replay name3333",
            "url": "rtmp://a.rtmp.youtube.com/live2",
            "key": "0df3-76bz-6t4r-1by5xxxxxx",
            "status": "enable",
            "created_at": "2020-06-24T16:25:58Z",
            "updated_at": "2020-06-24T16:25:58Z"
          }
        ],
        "status": "ready",
        "created_at": "2020-03-10T03:20:37.202Z",
        "updated_at": "2020-03-10T03:20:37.202Z"
      }
    ],
    "total": 99
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/2022-06-22/getting-started/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
